CREATE TABLE hrt_external_field_mapping (
    EXTERNAL_FIELD_MAPPING_ID    NUMBER(18, 0),
    EXTERNAL_FIELD_ID            NUMBER(18, 0),
    BUSINESS_GROUP_ID            NUMBER(18, 0)    NOT NULL,
    PROFILE_ITEM_ID              NUMBER(18, 0)    NOT NULL,
    COLUMN_NAME                  VARCHAR2(120)    NOT NULL,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    EXTERNAL_FIELD_MAPPING_ID    NUMBER(18, 0),
    EXTERNAL_FIELD_ID            NUMBER(18, 0),
    BUSINESS_GROUP_ID            NUMBER(18, 0)    NOT NULL,
    PROFILE_ITEM_ID              NUMBER(18, 0)    NOT NULL,
    COLUMN_NAME                  VARCHAR2(120)    NOT NULL,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    CONSTRAINT pk_hrt_external_field_mapping PRIMARY KEY (EXTERNAL_FIELD_MAPPING_ID, EXTERNAL_FIELD_MAPPING_ID)
);
